@charset "utf-8";

.content-container {
  font-size: 16px;
  line-height: 1.7;
  container-name: content-container;
  container-type: inline-size;
}

.content-container img {
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
}

.content-container .nowrap {
  white-space: nowrap;
}

.content-container header {
  background-color: rgb(50 50 50);
  display: flex;
  padding: 32px;
  justify-content: center;
  align-items: center;
  gap: 32px;
}

.content-container .img-header {
  width: 25%;
}

.content-container .ttl-header {
  color: #eee;
  font-weight: bold;
  font-size: 48px;
}

.content-container .ttl-header span {
  font-size: 80%;
  display: block;
}

@container content-container (width < 840px) {
  .content-container .ttl-header {
    font-size: 36px;
  }
}

@container content-container (width < 600px) {
  .content-container header {
    flex-direction: column;
  }

  .content-container .img-header {
    width: 33%;
  }

  .content-container .ttl-header {
    font-size: 25px;
  }
}

.sec-feature {
  margin-top: 40px;
}

.content-container .box-feature {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 32px;
  padding-inline: 32px;
}

.content-container .box-feature + .box-feature {
  margin-top: 40px;
}

.content-container .ttl-feature {
  font-size: 26px;
  font-weight: bold;
  margin-bottom: 0.5em;
}

.content-container .list-feature dt {
  font-weight: bold;
}

.content-container .list-feature dd + dt {
  margin-top: 0.5em;
}

.content-container .list {
  list-style-type: disc;
  margin-left: 1.5em;
}

@container content-container (width < 700px) {
  .sec-feature {
    margin-top: 24px;
  }

  .content-container .box-feature {
    grid-template-columns: 1fr;
    padding-inline: 16px;
    gap: 16px;
  }

  .content-container .img-feature {
    grid-row: 1;
  }
}

.content-container .sec-tbl {
  margin-top: 80px;
}

.content-container .ttl-tbl {
  font-size: 24px;
  font-weight: bold;
}

.content-container .wrap-tbl {
  overflow-x: auto;
}

.content-container table {
  width: 100%;
  margin-top: 16px;
}

.content-container th,
.content-container td {
  border: 1px solid #ccc;
  padding: 6px 8px;
  font-size: 15px;
}

.content-container th {
  background-color: #eee;
  text-align: center;
}

.content-container th a {
  display: block;
}

.content-container table img {
  width: 180px;
  display: block;
  margin-inline: auto;
  transition: opacity 0.3s;

  @container content-container (width < 1050px) {
    width: 160px;
  }

  @container content-container (width < 940px) {
    width: 140px;
  }

  @container content-container (width < 830px) {
    width: 120px;
  }
}

.content-container table a:hover img {
  opacity: 0.6;
}

@container content-container (width < 700px) {
  .content-container .ttl-tbl {
    margin-inline: 16px;
  } 

  .content-container .wrap-tbl {
    padding-inline: 16px;
    margin-bottom: 16px;
  }

  .content-container table img {
    width: 100px;
  }
}